package cn.com.ty.lift.business.annualinspection.dto;

import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import cn.com.ty.lift.common.utils.ValuePool;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *     年检返回结果封装
 * </p>
 * @author wcz
 * @since 2019/12/10
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class InspectionResponse extends AnnualInspection{

    /**
     * 区域名称
     */
    private String areaName;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 电梯注册代码
     */
    private String registrationCode;

    /**
     * 单位设备编号
     */
    private String useCompanyCode;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 维保工名称
     */
    private String workerName;

    /**
     * 主管名称
     */
    private String directorName;

    //是否检查限速器（0 否；1 是；默认0）
    private String checkGoverner;

    public String getCheckGoverner() {
        return ValuePool.nullable(this.getIsCheckGoverner(), 0) == 1 ? "是" : "否";
    }

    //是否荷载年检设置（0 否；1 是；默认0）
    private String loadInspection;

    public String getLoadInspection() {
        return ValuePool.nullable(this.getLoadInspectionSetting(), 0) == 1 ? "是" : "否";
    }

    //状态（0 待完成；1 已完成；2 超期）
    private String statusDesc;

    public String getStatusDesc() {
        int status = ValuePool.nullable(this.getStatus(), 0);
        switch (status) {
            case 0:
                return "待完成";
            case 1:
                return "已完成";
            case 2:
                return "超期";
            default:
                return "--";
        }
    }
}
